[arch-commits] Commit in luxblend25/repos/community-any (4 files)

Lukas Jirkovsky stativ at archlinux.org
Tue Nov 25 19:52:06 UTC 2014


    Date: Tuesday, November 25, 2014 @ 20:52:05
  Author: stativ
Revision: 123111

archrelease: copy trunk to community-any

Added:
  luxblend25/repos/community-any/PKGBUILD
    (from rev 123110, luxblend25/trunk/PKGBUILD)
  luxblend25/repos/community-any/luxrender_path.diff
    (from rev 123110, luxblend25/trunk/luxrender_path.diff)
Deleted:
  luxblend25/repos/community-any/PKGBUILD
  luxblend25/repos/community-any/luxrender_path.diff

---------------------+
 PKGBUILD            |   68 +++++++++++++++++++++++++-------------------------
 luxrender_path.diff |   38 +++++++++++++--------------
 2 files changed, 53 insertions(+), 53 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2014-11-25 19:52:00 UTC (rev 123110)
+++ PKGBUILD	2014-11-25 19:52:05 UTC (rev 123111)
@@ -1,34 +0,0 @@
-# $Id$
-# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
-pkgname=luxblend25
-pkgver=1.3.1
-_pkgver=ad6536b0dda8
-_blender=2.71
-pkgrel=3
-pkgdesc="A LuxRender exporter for Blender."
-arch=('any')
-url="http://www.luxrender.net/"
-license=('GPL')
-depends=('blender' 'luxrender')
-source=(https://bitbucket.org/luxrender/luxblend25/get/$_pkgver.tar.bz2 \
-        luxrender_path.diff)
-md5sums=('389991810953df26f1d849db1c65a129'
-         'cea2a59336c28b84258e795f66301918')
-
-prepare() {
-  cd "$srcdir/luxrender-luxblend25-$_pkgver"
-
-  # set the default path to luxrender instalation, so the users doesn't have
-  # to do that everytime they enable luxrender
-  patch -Np1 < "$srcdir/luxrender_path.diff" || true
-}
-
-package() {
-  install -d -m755 "$pkgdir"/usr/share/blender/$_blender/scripts/addons
-  cp -a "$srcdir"/luxrender-luxblend25-$_pkgver/src/luxrender \
-    "$pkgdir"/usr/share/blender/$_blender/scripts/addons
-  # change the search path in exporter so it finds pylux in its new location
-  sed -i 's|from.*import pylux|import pylux|' "$pkgdir/usr/share/blender/$_blender/scripts/addons/luxrender/outputs/pure_api.py"
-}
-
-# vim:set ts=2 sw=2 et:

Copied: luxblend25/repos/community-any/PKGBUILD (from rev 123110, luxblend25/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2014-11-25 19:52:05 UTC (rev 123111)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: Lukas Jirkovsky <l.jirkovsky at gmail.com>
+pkgname=luxblend25
+pkgver=1.3.1
+_pkgver=ad6536b0dda8
+_blender=2.72
+pkgrel=4
+pkgdesc="A LuxRender exporter for Blender."
+arch=('any')
+url="http://www.luxrender.net/"
+license=('GPL')
+depends=('blender' 'luxrender')
+source=(https://bitbucket.org/luxrender/luxblend25/get/$_pkgver.tar.bz2 \
+        luxrender_path.diff)
+md5sums=('389991810953df26f1d849db1c65a129'
+         'cea2a59336c28b84258e795f66301918')
+
+prepare() {
+  cd "$srcdir/luxrender-luxblend25-$_pkgver"
+
+  # set the default path to luxrender instalation, so the users doesn't have
+  # to do that everytime they enable luxrender
+  patch -Np1 < "$srcdir/luxrender_path.diff" || true
+}
+
+package() {
+  install -d -m755 "$pkgdir"/usr/share/blender/$_blender/scripts/addons
+  cp -a "$srcdir"/luxrender-luxblend25-$_pkgver/src/luxrender \
+    "$pkgdir"/usr/share/blender/$_blender/scripts/addons
+  # change the search path in exporter so it finds pylux in its new location
+  sed -i 's|from.*import pylux|import pylux|' "$pkgdir/usr/share/blender/$_blender/scripts/addons/luxrender/outputs/pure_api.py"
+}
+
+# vim:set ts=2 sw=2 et:

Deleted: luxrender_path.diff
===================================================================
--- luxrender_path.diff	2014-11-25 19:52:00 UTC (rev 123110)
+++ luxrender_path.diff	2014-11-25 19:52:05 UTC (rev 123111)
@@ -1,19 +0,0 @@
-diff -rup luxrender-luxblend25-ad6536b0dda8/src/luxrender/__init__.py luxrender-luxblend25-ad6536b0dda8.new/src/luxrender/__init__.py
---- luxrender-luxblend25-ad6536b0dda8/src/luxrender/__init__.py	2013-11-04 22:30:25.000000000 +0100
-+++ luxrender-luxblend25-ad6536b0dda8.new/src/luxrender/__init__.py	2013-11-15 11:06:42.435244653 +0100
-@@ -50,14 +50,7 @@ else:
- 	from nodeitems_utils import NodeCategory, NodeItem, NodeItemCustom
- 	
- 	def find_luxrender_path():
--		from os import getenv
--		from extensions_framework import util as efutil
--		return getenv(
--			# Use the env var path, if set ...
--			'LUXRENDER_ROOT',
--			# .. or load the last path from CFG file
--			efutil.find_config_value('luxrender', 'defaults', 'install_path', '')
--		)
-+		return "/usr/bin"
- 		
- 	class LuxRenderAddonPreferences(AddonPreferences):
- 		# this must match the addon name

Copied: luxblend25/repos/community-any/luxrender_path.diff (from rev 123110, luxblend25/trunk/luxrender_path.diff)
===================================================================
--- luxrender_path.diff	                        (rev 0)
+++ luxrender_path.diff	2014-11-25 19:52:05 UTC (rev 123111)
@@ -0,0 +1,19 @@
+diff -rup luxrender-luxblend25-ad6536b0dda8/src/luxrender/__init__.py luxrender-luxblend25-ad6536b0dda8.new/src/luxrender/__init__.py
+--- luxrender-luxblend25-ad6536b0dda8/src/luxrender/__init__.py	2013-11-04 22:30:25.000000000 +0100
++++ luxrender-luxblend25-ad6536b0dda8.new/src/luxrender/__init__.py	2013-11-15 11:06:42.435244653 +0100
+@@ -50,14 +50,7 @@ else:
+ 	from nodeitems_utils import NodeCategory, NodeItem, NodeItemCustom
+ 	
+ 	def find_luxrender_path():
+-		from os import getenv
+-		from extensions_framework import util as efutil
+-		return getenv(
+-			# Use the env var path, if set ...
+-			'LUXRENDER_ROOT',
+-			# .. or load the last path from CFG file
+-			efutil.find_config_value('luxrender', 'defaults', 'install_path', '')
+-		)
++		return "/usr/bin"
+ 		
+ 	class LuxRenderAddonPreferences(AddonPreferences):
+ 		# this must match the addon name


More information about the arch-commits mailing list